import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { MsDeployLog } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:14
 */
interface MsDeployLogCU extends ConditionUtil<MsDeployLogCU>{
    ID:FieldUtil<MsDeployLogCU>;
    CREATE_TIME:FieldUtil<MsDeployLogCU>;
    UPDATE_TIME:FieldUtil<MsDeployLogCU>;
    STATE:FieldUtil<MsDeployLogCU>;
    PROJECT_ID:FieldUtil<MsDeployLogCU>;
    PRJ_COMMIT_ID:FieldUtil<MsDeployLogCU>;
    BUILD_TAG:FieldUtil<MsDeployLogCU>;
    APP_NAME:FieldUtil<MsDeployLogCU>;
    DEPLOY_ID:FieldUtil<MsDeployLogCU>;
    PID:FieldUtil<MsDeployLogCU>;
    ENV_TYPE:FieldUtil<MsDeployLogCU>;
    ENV_CODE:FieldUtil<MsDeployLogCU>;
    NAMESPACE_K8S:FieldUtil<MsDeployLogCU>;
    K8S_CLUSTER_ID:FieldUtil<MsDeployLogCU>;
    PROJECT_VERSION_ID:FieldUtil<MsDeployLogCU>;
    VERSION_NO:FieldUtil<MsDeployLogCU>;
    IMAGE:FieldUtil<MsDeployLogCU>;
    K8S_DEPLOYMENT:FieldUtil<MsDeployLogCU>;
    K8S_DEPLOYMENT_TAG:FieldUtil<MsDeployLogCU>;
    CPU:FieldUtil<MsDeployLogCU>;
    MEMORY:FieldUtil<MsDeployLogCU>;
    SERVICE_PORT:FieldUtil<MsDeployLogCU>;
    CONTAINER_PORT:FieldUtil<MsDeployLogCU>;
    REPLICAS:FieldUtil<MsDeployLogCU>;
    REPLICAS_MAX:FieldUtil<MsDeployLogCU>;
    START_CMD_LINE:FieldUtil<MsDeployLogCU>;
    START_PARAMS:FieldUtil<MsDeployLogCU>;
    ENV_JSON:FieldUtil<MsDeployLogCU>;
    KAFKA_HOSTS:FieldUtil<MsDeployLogCU>;
    KAFKA_TOPIC:FieldUtil<MsDeployLogCU>;
    DEPLOY_STATUS:FieldUtil<MsDeployLogCU>;
    DEPLOY_MSG:FieldUtil<MsDeployLogCU>;
    K8S_CONFIG:FieldUtil<MsDeployLogCU>;
    IMAGE_SERVICE_CONFIG:FieldUtil<MsDeployLogCU>;
    KAFKA_CONFIG:FieldUtil<MsDeployLogCU>;
    LOG_CONFIG_TEMPLATE_ID:FieldUtil<MsDeployLogCU>;
    LOG_CONFIG:FieldUtil<MsDeployLogCU>;
    ENV_CONFIG_REF_ID:FieldUtil<MsDeployLogCU>;
}

class MsDeployLogCUImpl extends ConditionUtilImpl<MsDeployLogCUImpl> implements MsDeployLogCU{ 
    newInstance(): MsDeployLogCUImpl {
        return new MsDeployLogCUImpl();
    } 
    get ID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('id','id','id', this);
    }
    get CREATE_TIME(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('create_time','createTime','create_time', this);
    }
    get UPDATE_TIME(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('update_time','updateTime','update_time', this);
    }
    get STATE(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('state','state','state', this);
    }
    get PROJECT_ID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('project_id','projectId','projectId', this);
    }
    get PRJ_COMMIT_ID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('prj_commit_id','prjCommitId','prjCommitId', this);
    }
    get BUILD_TAG(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('build_tag','buildTag','buildTag', this);
    }
    get APP_NAME(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('app_name','appName','appName', this);
    }
    get DEPLOY_ID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('deploy_id','deployId','部署配置id', this);
    }
    get PID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('pid','pid','pid', this);
    }
    get ENV_TYPE(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('env_type','envType','envType', this);
    }
    get ENV_CODE(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('env_code','envCode','envCode', this);
    }
    get NAMESPACE_K8S(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('namespace_k8s','namespaceK8s','namespaceK8s', this);
    }
    get K8S_CLUSTER_ID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('k8s_cluster_id','k8sClusterId','k8sClusterId', this);
    }
    get PROJECT_VERSION_ID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('project_version_id','projectVersionId','projectVersionId', this);
    }
    get VERSION_NO(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('version_no','versionNo','versionNo', this);
    }
    get IMAGE(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('image','image','镜像仓库完整地址', this);
    }
    get K8S_DEPLOYMENT(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('k8s_deployment','k8sDeployment','k8s-deployment名称', this);
    }
    get K8S_DEPLOYMENT_TAG(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('k8s_deployment_tag','k8sDeploymentTag','k8s-deployment滚动升级tag', this);
    }
    get CPU(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('cpu','cpu','cpu：最小0.5最大64', this);
    }
    get MEMORY(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('memory','memory','内存: 单位-GiB, 最小0.5,最大256"', this);
    }
    get SERVICE_PORT(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('service_port','servicePort','服务暴露端口', this);
    }
    get CONTAINER_PORT(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('container_port','containerPort','容器内部端口', this);
    }
    get REPLICAS(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('replicas','replicas','初始副本数', this);
    }
    get REPLICAS_MAX(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('replicas_max','replicasMax','最大副本数', this);
    }
    get START_CMD_LINE(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('start_cmd_line','startCmdLine','启动命令', this);
    }
    get START_PARAMS(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('start_params','startParams','启动参数', this);
    }
    get ENV_JSON(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('env_json','envJson','环境变量json', this);
    }
    get KAFKA_HOSTS(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('kafka_hosts','kafkaHosts','kafka主机', this);
    }
    get KAFKA_TOPIC(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('kafka_topic','kafkaTopic','kafka-topic', this);
    }
    get DEPLOY_STATUS(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('deploy_status','deployStatus','deployStatus', this);
    }
    get DEPLOY_MSG(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('deploy_msg','deployMsg','部署信息', this);
    }
    get K8S_CONFIG(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('k8s_config','k8sConfig','k8sConfig', this);
    }
    get IMAGE_SERVICE_CONFIG(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('image_service_config','imageServiceConfig','imageServiceConfig', this);
    }
    get KAFKA_CONFIG(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('kafka_config','kafkaConfig','kafkaConfig', this);
    }
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('log_config_template_id','logConfigTemplateId','logConfigTemplateId', this);
    }
    get LOG_CONFIG(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('log_config','logConfig','logConfig', this);
    }
    get ENV_CONFIG_REF_ID(): FieldUtil<MsDeployLogCU>{  
        return new FieldUtil('env_config_ref_id','envConfigRefId','envConfigRefId', this);
    }
}

@Singleton 
class MsDeployLogMU extends TableUtilImpl<MsDeployLogCU,MsDeployLog>{ 
    tableName  = 'ms_deploy_log';
    tableFields  = ['id','create_time','update_time','state','project_id','prj_commit_id','build_tag','app_name','deploy_id','pid','env_type','env_code','namespace_k8s','k8s_cluster_id','project_version_id','version_no','image','k8s_deployment','k8s_deployment_tag','cpu','memory','service_port','container_port','replicas','replicas_max','start_cmd_line','start_params','env_json','kafka_hosts','kafka_topic','deploy_status','deploy_msg','k8s_config','image_service_config','kafka_config','log_config_template_id','log_config','env_config_ref_id'];
    modelFields  = ['id','createTime','updateTime','state','projectId','prjCommitId','buildTag','appName','deployId','pid','envType','envCode','namespaceK8s','k8sClusterId','projectVersionId','versionNo','image','k8sDeployment','k8sDeploymentTag','cpu','memory','servicePort','containerPort','replicas','replicasMax','startCmdLine','startParams','envJson','kafkaHosts','kafkaTopic','deployStatus','deployMsg','k8sConfig','imageServiceConfig','kafkaConfig','logConfigTemplateId','logConfig','envConfigRefId'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): MsDeployLogCU {
        return new MsDeployLogCUImpl();
    }   

    static get ID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('id','id','id', new MsDeployLogCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('create_time','createTime','create_time', new MsDeployLogCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('update_time','updateTime','update_time', new MsDeployLogCUImpl());
    }
    static get STATE(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('state','state','state', new MsDeployLogCUImpl());
    }
    static get PROJECT_ID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('project_id','projectId','projectId', new MsDeployLogCUImpl());
    }
    static get PRJ_COMMIT_ID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('prj_commit_id','prjCommitId','prjCommitId', new MsDeployLogCUImpl());
    }
    static get BUILD_TAG(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('build_tag','buildTag','buildTag', new MsDeployLogCUImpl());
    }
    static get APP_NAME(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('app_name','appName','appName', new MsDeployLogCUImpl());
    }
    static get DEPLOY_ID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('deploy_id','deployId','部署配置id', new MsDeployLogCUImpl());
    }
    static get PID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('pid','pid','pid', new MsDeployLogCUImpl());
    }
    static get ENV_TYPE(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('env_type','envType','envType', new MsDeployLogCUImpl());
    }
    static get ENV_CODE(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('env_code','envCode','envCode', new MsDeployLogCUImpl());
    }
    static get NAMESPACE_K8S(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('namespace_k8s','namespaceK8s','namespaceK8s', new MsDeployLogCUImpl());
    }
    static get K8S_CLUSTER_ID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('k8s_cluster_id','k8sClusterId','k8sClusterId', new MsDeployLogCUImpl());
    }
    static get PROJECT_VERSION_ID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('project_version_id','projectVersionId','projectVersionId', new MsDeployLogCUImpl());
    }
    static get VERSION_NO(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('version_no','versionNo','versionNo', new MsDeployLogCUImpl());
    }
    static get IMAGE(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('image','image','镜像仓库完整地址', new MsDeployLogCUImpl());
    }
    static get K8S_DEPLOYMENT(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('k8s_deployment','k8sDeployment','k8s-deployment名称', new MsDeployLogCUImpl());
    }
    static get K8S_DEPLOYMENT_TAG(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('k8s_deployment_tag','k8sDeploymentTag','k8s-deployment滚动升级tag', new MsDeployLogCUImpl());
    }
    static get CPU(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('cpu','cpu','cpu：最小0.5最大64', new MsDeployLogCUImpl());
    }
    static get MEMORY(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('memory','memory','内存: 单位-GiB, 最小0.5,最大256"', new MsDeployLogCUImpl());
    }
    static get SERVICE_PORT(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('service_port','servicePort','服务暴露端口', new MsDeployLogCUImpl());
    }
    static get CONTAINER_PORT(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('container_port','containerPort','容器内部端口', new MsDeployLogCUImpl());
    }
    static get REPLICAS(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('replicas','replicas','初始副本数', new MsDeployLogCUImpl());
    }
    static get REPLICAS_MAX(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('replicas_max','replicasMax','最大副本数', new MsDeployLogCUImpl());
    }
    static get START_CMD_LINE(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('start_cmd_line','startCmdLine','启动命令', new MsDeployLogCUImpl());
    }
    static get START_PARAMS(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('start_params','startParams','启动参数', new MsDeployLogCUImpl());
    }
    static get ENV_JSON(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('env_json','envJson','环境变量json', new MsDeployLogCUImpl());
    }
    static get KAFKA_HOSTS(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('kafka_hosts','kafkaHosts','kafka主机', new MsDeployLogCUImpl());
    }
    static get KAFKA_TOPIC(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('kafka_topic','kafkaTopic','kafka-topic', new MsDeployLogCUImpl());
    }
    static get DEPLOY_STATUS(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('deploy_status','deployStatus','deployStatus', new MsDeployLogCUImpl());
    }
    static get DEPLOY_MSG(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('deploy_msg','deployMsg','部署信息', new MsDeployLogCUImpl());
    }
    static get K8S_CONFIG(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('k8s_config','k8sConfig','k8sConfig', new MsDeployLogCUImpl());
    }
    static get IMAGE_SERVICE_CONFIG(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('image_service_config','imageServiceConfig','imageServiceConfig', new MsDeployLogCUImpl());
    }
    static get KAFKA_CONFIG(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('kafka_config','kafkaConfig','kafkaConfig', new MsDeployLogCUImpl());
    }
    static get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('log_config_template_id','logConfigTemplateId','logConfigTemplateId', new MsDeployLogCUImpl());
    }
    static get LOG_CONFIG(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('log_config','logConfig','logConfig', new MsDeployLogCUImpl());
    }
    static get ENV_CONFIG_REF_ID(): FieldUtil<MsDeployLogCU>{ 
        return new FieldUtil('env_config_ref_id','envConfigRefId','envConfigRefId', new MsDeployLogCUImpl());
    }

    get ID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.ID;
    }
    get CREATE_TIME(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.UPDATE_TIME;
    }
    get STATE(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.STATE;
    }
    get PROJECT_ID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.PROJECT_ID;
    }
    get PRJ_COMMIT_ID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.PRJ_COMMIT_ID;
    }
    get BUILD_TAG(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.BUILD_TAG;
    }
    get APP_NAME(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.APP_NAME;
    }
    get DEPLOY_ID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.DEPLOY_ID;
    }
    get PID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.PID;
    }
    get ENV_TYPE(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.ENV_TYPE;
    }
    get ENV_CODE(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.ENV_CODE;
    }
    get NAMESPACE_K8S(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.NAMESPACE_K8S;
    }
    get K8S_CLUSTER_ID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.K8S_CLUSTER_ID;
    }
    get PROJECT_VERSION_ID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.PROJECT_VERSION_ID;
    }
    get VERSION_NO(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.VERSION_NO;
    }
    get IMAGE(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.IMAGE;
    }
    get K8S_DEPLOYMENT(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.K8S_DEPLOYMENT;
    }
    get K8S_DEPLOYMENT_TAG(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.K8S_DEPLOYMENT_TAG;
    }
    get CPU(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.CPU;
    }
    get MEMORY(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.MEMORY;
    }
    get SERVICE_PORT(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.SERVICE_PORT;
    }
    get CONTAINER_PORT(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.CONTAINER_PORT;
    }
    get REPLICAS(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.REPLICAS;
    }
    get REPLICAS_MAX(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.REPLICAS_MAX;
    }
    get START_CMD_LINE(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.START_CMD_LINE;
    }
    get START_PARAMS(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.START_PARAMS;
    }
    get ENV_JSON(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.ENV_JSON;
    }
    get KAFKA_HOSTS(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.KAFKA_HOSTS;
    }
    get KAFKA_TOPIC(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.KAFKA_TOPIC;
    }
    get DEPLOY_STATUS(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.DEPLOY_STATUS;
    }
    get DEPLOY_MSG(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.DEPLOY_MSG;
    }
    get K8S_CONFIG(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.K8S_CONFIG;
    }
    get IMAGE_SERVICE_CONFIG(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.IMAGE_SERVICE_CONFIG;
    }
    get KAFKA_CONFIG(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.KAFKA_CONFIG;
    }
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.LOG_CONFIG_TEMPLATE_ID;
    }
    get LOG_CONFIG(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.LOG_CONFIG;
    }
    get ENV_CONFIG_REF_ID(): FieldUtil<MsDeployLogCU>{ 
        return MsDeployLogMU.ENV_CONFIG_REF_ID;
    }
}
export {MsDeployLogMU, MsDeployLogCU}
